/*
 * Fabric3
 * Copyright  2008 Metaform Systems Limited
 *
 * This proprietary software may be used only connection with the Fabric3 license
 * (the License), a copy of which is included in the software or may be
 * obtained at: http://www.metaformsystems.com/licenses/license.html.

 * Software distributed under the License is distributed on an as is basis,
 * without warranties or conditions of any kind.  See the License for the
 * specific language governing permissions and limitations of use of the software.
 * This software is distributed in conjunction with other software licensed under
 * different terms.  See the separate licenses for those programs included in the
 * distribution for the permitted and restricted uses of such software.
 *
 */
package org.fabric3.contribution.manifest;

import javax.xml.stream.XMLStreamReader;

import org.fabric3.spi.introspection.xml.XmlValidationFailure;

/**
 * Raised when an attempt is made to parse an invalid Maven POM.
 *
 * @version $Rev: 6227 $ $Date: 2008-12-13 07:59:19 +0000 (Sat, 13 Dec 2008) $
 */
public class InvalidPOM extends XmlValidationFailure<String> {

    public InvalidPOM(String message, String element, XMLStreamReader reader) {
        super(message, element, reader);
    }
}
